package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductModelModel = (*customFsProductModelModel)(nil)

type (
	// FsProductModelModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductModelModel.
	FsProductModelModel interface {
		fsProductModelModel
	}

	customFsProductModelModel struct {
		*defaultFsProductModelModel
	}
)

// NewFsProductModelModel returns a model for the database table.
func NewFsProductModelModel(conn sqlx.SqlConn) FsProductModelModel {
	return &customFsProductModelModel{
		defaultFsProductModelModel: newFsProductModelModel(conn),
	}
}
