package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsProductPriceModel = (*customFsProductPriceModel)(nil)

type (
	// FsProductPriceModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductPriceModel.
	FsProductPriceModel interface {
		fsProductPriceModel
	}

	customFsProductPriceModel struct {
		*defaultFsProductPriceModel
	}
)

// NewFsProductPriceModel returns a model for the database table.
func NewFsProductPriceModel(conn sqlx.SqlConn) FsProductPriceModel {
	return &customFsProductPriceModel{
		defaultFsProductPriceModel: newFsProductPriceModel(conn),
	}
}
